Subject: RE: IPv6 Service Discovery

From: [email-masked]
Date: Thu, 4 Aug 2005 09:52:24 +0300

Abhijit,
 
What sort of Application Service are you talking about?  I know folks look at using DHCP for configuring this kind of information, if I understand you correctly.
 
John

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Abhijit Chaudhary (abchaudh)
Sent: 04 August, 2005 08:23
To: [email-masked]
Subject: IPv6 Service Discovery

Hi,
I have question regarding IPv6 auto service discovery. 
 
Suppose a IPv6 Mobile Host comes and joins a network. Using Stateful or Stateless Address Configuration mentioned in ICMPv6 Router  Advertisement message it gets a IPv6 address. 
But if the mobile host want to know the nearest printer IP address or the proxy address or DNS server address (i.e, IP address of Responder  mentioned in draft-ietf-ipngwg-icmp-name-lookups-12.txt).
Is there any draft or RFC that talks about a procedure to get information about Server providing application Service for IPv6?
 
If not, I am of the impression that we can add a new option to Router  Advertisement message called "Application Service Discovery Proxy". This option will contain the IPv6 address and Link-Layer address of the "Application Service Discovery Proxy". This proxy will contain all the information of the available application service in the network and the corresponding servers. The new option will look as below:
 
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type         |    Length             |            Reserved                      |  
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |           IPv6 Address of Application  Service Discovery Proxy         |
      +                                                                                               |
      |  +++++++++++++++++++++++++++++++++++++++++++++++ |                                                             
      ~         Link-Layer Address of  Service Discovery Proxy                  |   
      |                                                                                                 |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 
The Message Exchange is described below:
 
1) Router Advertisement will contain the Application Service Discovery Proxy Option
                                  "Router Advertisement with Application Service Discovery Proxy Option"
                 Router  ---------------------------------------------------------------------------------------------------------------------------------> Host
 
2) Host gets the Address of the Application Service Discovery Proxy and stores it. Suppose, the host wants printing service, it uses some protocol (maybe UDP or XML over HTTP or ICMPv6) to discover services from the Application Service Discovery Proxy.
    For Printing service the message as below:
                                        "Give me printer service address" 
           1.     Host ---------------------------------------------------------------------------------------->  Application Service Discovery Proxy 
 
                                                                               "Printer IPv6 address = x, Printer LL address = y"
           2.     Application Service Discovery Proxy ---------------------------------------------------------------------------------------------------> Host
 
                                           "Sends data to be printed" 
           3.     Host -----------------------------------------------------------------------> Printer
 
Let me know what you guys feel about it.
 
Thanks,
- Abhijit

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------